IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
2001:6d00::/24- First address
2001:6d00::- Last address
2001:6dff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
2001:6d00:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
d.6.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:6d00::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:6d00::/32 | 2001:6d00:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2001:6d01::/32 | 2001:6d01:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2001:6d02::/32 | 2001:6d02:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2001:6d03::/32 | 2001:6d03:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2001:6d04::/32 | 2001:6d04:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2001:6d05::/32 | 2001:6d05:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2001:6d06::/32 | 2001:6d06:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2001:6d07::/32 | 2001:6d07:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2001:6d08::/32 | 2001:6d08:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2001:6d09::/32 | 2001:6d09:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2001:6d0a::/32 | 2001:6d0a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2001:6d0b::/32 | 2001:6d0b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2001:6d0c::/32 | 2001:6d0c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2001:6d0d::/32 | 2001:6d0d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2001:6d0e::/32 | 2001:6d0e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2001:6d0f::/32 | 2001:6d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2001:6d10::/32 | 2001:6d10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2001:6d11::/32 | 2001:6d11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2001:6d12::/32 | 2001:6d12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2001:6d13::/32 | 2001:6d13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2001:6d14::/32 | 2001:6d14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2001:6d15::/32 | 2001:6d15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2001:6d16::/32 | 2001:6d16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2001:6d17::/32 | 2001:6d17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2001:6d18::/32 | 2001:6d18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2001:6d19::/32 | 2001:6d19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2001:6d1a::/32 | 2001:6d1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2001:6d1b::/32 | 2001:6d1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2001:6d1c::/32 | 2001:6d1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2001:6d1d::/32 | 2001:6d1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2001:6d1e::/32 | 2001:6d1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2001:6d1f::/32 | 2001:6d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2001:6d20::/32 | 2001:6d20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2001:6d21::/32 | 2001:6d21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2001:6d22::/32 | 2001:6d22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2001:6d23::/32 | 2001:6d23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2001:6d24::/32 | 2001:6d24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2001:6d25::/32 | 2001:6d25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2001:6d26::/32 | 2001:6d26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2001:6d27::/32 | 2001:6d27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2001:6d28::/32 | 2001:6d28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2001:6d29::/32 | 2001:6d29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2001:6d2a::/32 | 2001:6d2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2001:6d2b::/32 | 2001:6d2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2001:6d2c::/32 | 2001:6d2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2001:6d2d::/32 | 2001:6d2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2001:6d2e::/32 | 2001:6d2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2001:6d2f::/32 | 2001:6d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2001:6d30::/32 | 2001:6d30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2001:6d31::/32 | 2001:6d31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2001:6d32::/32 | 2001:6d32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2001:6d33::/32 | 2001:6d33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2001:6d34::/32 | 2001:6d34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2001:6d35::/32 | 2001:6d35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2001:6d36::/32 | 2001:6d36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2001:6d37::/32 | 2001:6d37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2001:6d38::/32 | 2001:6d38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2001:6d39::/32 | 2001:6d39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2001:6d3a::/32 | 2001:6d3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2001:6d3b::/32 | 2001:6d3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2001:6d3c::/32 | 2001:6d3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2001:6d3d::/32 | 2001:6d3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2001:6d3e::/32 | 2001:6d3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2001:6d3f::/32 | 2001:6d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2001:6d40::/32 | 2001:6d40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2001:6d41::/32 | 2001:6d41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2001:6d42::/32 | 2001:6d42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2001:6d43::/32 | 2001:6d43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2001:6d44::/32 | 2001:6d44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2001:6d45::/32 | 2001:6d45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2001:6d46::/32 | 2001:6d46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2001:6d47::/32 | 2001:6d47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2001:6d48::/32 | 2001:6d48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2001:6d49::/32 | 2001:6d49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2001:6d4a::/32 | 2001:6d4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2001:6d4b::/32 | 2001:6d4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2001:6d4c::/32 | 2001:6d4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2001:6d4d::/32 | 2001:6d4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2001:6d4e::/32 | 2001:6d4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2001:6d4f::/32 | 2001:6d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2001:6d50::/32 | 2001:6d50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2001:6d51::/32 | 2001:6d51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2001:6d52::/32 | 2001:6d52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2001:6d53::/32 | 2001:6d53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2001:6d54::/32 | 2001:6d54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2001:6d55::/32 | 2001:6d55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2001:6d56::/32 | 2001:6d56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2001:6d57::/32 | 2001:6d57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2001:6d58::/32 | 2001:6d58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2001:6d59::/32 | 2001:6d59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2001:6d5a::/32 | 2001:6d5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2001:6d5b::/32 | 2001:6d5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2001:6d5c::/32 | 2001:6d5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2001:6d5d::/32 | 2001:6d5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2001:6d5e::/32 | 2001:6d5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2001:6d5f::/32 | 2001:6d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2001:6d60::/32 | 2001:6d60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2001:6d61::/32 | 2001:6d61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2001:6d62::/32 | 2001:6d62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2001:6d63::/32 | 2001:6d63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2001:6d64::/32 | 2001:6d64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2001:6d65::/32 | 2001:6d65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2001:6d66::/32 | 2001:6d66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2001:6d67::/32 | 2001:6d67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2001:6d68::/32 | 2001:6d68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2001:6d69::/32 | 2001:6d69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2001:6d6a::/32 | 2001:6d6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2001:6d6b::/32 | 2001:6d6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2001:6d6c::/32 | 2001:6d6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2001:6d6d::/32 | 2001:6d6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2001:6d6e::/32 | 2001:6d6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2001:6d6f::/32 | 2001:6d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2001:6d70::/32 | 2001:6d70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2001:6d71::/32 | 2001:6d71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2001:6d72::/32 | 2001:6d72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2001:6d73::/32 | 2001:6d73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2001:6d74::/32 | 2001:6d74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2001:6d75::/32 | 2001:6d75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2001:6d76::/32 | 2001:6d76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2001:6d77::/32 | 2001:6d77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2001:6d78::/32 | 2001:6d78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2001:6d79::/32 | 2001:6d79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2001:6d7a::/32 | 2001:6d7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2001:6d7b::/32 | 2001:6d7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2001:6d7c::/32 | 2001:6d7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2001:6d7d::/32 | 2001:6d7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2001:6d7e::/32 | 2001:6d7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2001:6d7f::/32 | 2001:6d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2001:6d80::/32 | 2001:6d80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2001:6d81::/32 | 2001:6d81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2001:6d82::/32 | 2001:6d82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2001:6d83::/32 | 2001:6d83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2001:6d84::/32 | 2001:6d84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2001:6d85::/32 | 2001:6d85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2001:6d86::/32 | 2001:6d86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2001:6d87::/32 | 2001:6d87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2001:6d88::/32 | 2001:6d88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2001:6d89::/32 | 2001:6d89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2001:6d8a::/32 | 2001:6d8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2001:6d8b::/32 | 2001:6d8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2001:6d8c::/32 | 2001:6d8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2001:6d8d::/32 | 2001:6d8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2001:6d8e::/32 | 2001:6d8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2001:6d8f::/32 | 2001:6d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2001:6d90::/32 | 2001:6d90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2001:6d91::/32 | 2001:6d91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2001:6d92::/32 | 2001:6d92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2001:6d93::/32 | 2001:6d93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2001:6d94::/32 | 2001:6d94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2001:6d95::/32 | 2001:6d95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2001:6d96::/32 | 2001:6d96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2001:6d97::/32 | 2001:6d97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2001:6d98::/32 | 2001:6d98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2001:6d99::/32 | 2001:6d99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2001:6d9a::/32 | 2001:6d9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2001:6d9b::/32 | 2001:6d9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2001:6d9c::/32 | 2001:6d9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2001:6d9d::/32 | 2001:6d9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2001:6d9e::/32 | 2001:6d9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2001:6d9f::/32 | 2001:6d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2001:6da0::/32 | 2001:6da0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2001:6da1::/32 | 2001:6da1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2001:6da2::/32 | 2001:6da2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2001:6da3::/32 | 2001:6da3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2001:6da4::/32 | 2001:6da4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2001:6da5::/32 | 2001:6da5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2001:6da6::/32 | 2001:6da6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2001:6da7::/32 | 2001:6da7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2001:6da8::/32 | 2001:6da8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2001:6da9::/32 | 2001:6da9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2001:6daa::/32 | 2001:6daa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2001:6dab::/32 | 2001:6dab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2001:6dac::/32 | 2001:6dac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2001:6dad::/32 | 2001:6dad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2001:6dae::/32 | 2001:6dae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2001:6daf::/32 | 2001:6daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2001:6db0::/32 | 2001:6db0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2001:6db1::/32 | 2001:6db1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2001:6db2::/32 | 2001:6db2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2001:6db3::/32 | 2001:6db3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2001:6db4::/32 | 2001:6db4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2001:6db5::/32 | 2001:6db5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2001:6db6::/32 | 2001:6db6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2001:6db7::/32 | 2001:6db7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2001:6db8::/32 | 2001:6db8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2001:6db9::/32 | 2001:6db9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2001:6dba::/32 | 2001:6dba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2001:6dbb::/32 | 2001:6dbb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2001:6dbc::/32 | 2001:6dbc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2001:6dbd::/32 | 2001:6dbd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2001:6dbe::/32 | 2001:6dbe:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2001:6dbf::/32 | 2001:6dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2001:6dc0::/32 | 2001:6dc0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2001:6dc1::/32 | 2001:6dc1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2001:6dc2::/32 | 2001:6dc2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2001:6dc3::/32 | 2001:6dc3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2001:6dc4::/32 | 2001:6dc4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2001:6dc5::/32 | 2001:6dc5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2001:6dc6::/32 | 2001:6dc6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2001:6dc7::/32 | 2001:6dc7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2001:6dc8::/32 | 2001:6dc8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2001:6dc9::/32 | 2001:6dc9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2001:6dca::/32 | 2001:6dca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2001:6dcb::/32 | 2001:6dcb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2001:6dcc::/32 | 2001:6dcc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2001:6dcd::/32 | 2001:6dcd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2001:6dce::/32 | 2001:6dce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2001:6dcf::/32 | 2001:6dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2001:6dd0::/32 | 2001:6dd0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2001:6dd1::/32 | 2001:6dd1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2001:6dd2::/32 | 2001:6dd2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2001:6dd3::/32 | 2001:6dd3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2001:6dd4::/32 | 2001:6dd4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2001:6dd5::/32 | 2001:6dd5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2001:6dd6::/32 | 2001:6dd6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2001:6dd7::/32 | 2001:6dd7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2001:6dd8::/32 | 2001:6dd8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2001:6dd9::/32 | 2001:6dd9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2001:6dda::/32 | 2001:6dda:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2001:6ddb::/32 | 2001:6ddb:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2001:6ddc::/32 | 2001:6ddc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2001:6ddd::/32 | 2001:6ddd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2001:6dde::/32 | 2001:6dde:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2001:6ddf::/32 | 2001:6ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2001:6de0::/32 | 2001:6de0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2001:6de1::/32 | 2001:6de1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2001:6de2::/32 | 2001:6de2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2001:6de3::/32 | 2001:6de3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2001:6de4::/32 | 2001:6de4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2001:6de5::/32 | 2001:6de5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2001:6de6::/32 | 2001:6de6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2001:6de7::/32 | 2001:6de7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2001:6de8::/32 | 2001:6de8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2001:6de9::/32 | 2001:6de9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2001:6dea::/32 | 2001:6dea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2001:6deb::/32 | 2001:6deb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2001:6dec::/32 | 2001:6dec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2001:6ded::/32 | 2001:6ded:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2001:6dee::/32 | 2001:6dee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2001:6def::/32 | 2001:6def:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2001:6df0::/32 | 2001:6df0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2001:6df1::/32 | 2001:6df1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2001:6df2::/32 | 2001:6df2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2001:6df3::/32 | 2001:6df3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2001:6df4::/32 | 2001:6df4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2001:6df5::/32 | 2001:6df5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2001:6df6::/32 | 2001:6df6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2001:6df7::/32 | 2001:6df7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2001:6df8::/32 | 2001:6df8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2001:6df9::/32 | 2001:6df9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2001:6dfa::/32 | 2001:6dfa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2001:6dfb::/32 | 2001:6dfb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2001:6dfc::/32 | 2001:6dfc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2001:6dfd::/32 | 2001:6dfd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2001:6dfe::/32 | 2001:6dfe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2001:6dff::/32 | 2001:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |